# $Revision: 1.31 $, $Date: 2006/09/06 21:07:58 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	PerLDAP - Mozilla::LDAP perl modules
Summary(pl):	PerLDAP - moduy perla Mozilla::LDAP
Name:		perl-Mozilla-LDAP
Version:	1.4.1
Release:	13
License:	MPL 1.1
Group:		Development/Languages/Perl
Source0:	http://ftp.mozilla.org/pub/mozilla.org/directory/perldap/perldap-%{version}.tar.gz
# Source0-md5:	39a784c94f6fbed4682f681cd2f183fa
URL:		http://www.mozilla.org/directory/perldap.html
BuildRequires:	mozldap-devel >= 5.17
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
Requires:	mozldap >= 5.17
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PerLDAP is a set of modules written in Perl and C that allow
developers to leverage their existing Perl knowledge to easily access
and manage LDAP-enabled directories. PerLDAP makes it very easy to
search, add, delete, and modify directory entries. For example, Perl
developers can easily build web applications to access information
stored in a directory or create directory sync tools between
directories and other services.

%description -l pl
PerLDAP to zestaw moduw napisanych w Perlu i C, pozwalajcych na
dostp do katalogw LDAP i zarzdzanie nimi z poziomu Perla. PerLDAP
uatwia przeszukiwanie, usuwanie i modyfikowanie pozycji.

%prep
%setup -q -n perldap-%{version}

%{__sed} -i -e 's@"lib"@"%{_lib}"@' Makefile.PL
%{__sed} -i -e 's|/usr/bin/perl5|%{__perl}|' examples/*.pl
rm -rf examples/CVS

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	<<EOF
%{_prefix}
yes
yes
-lldap50 -lssldap50 -lprldap50 -lssl3 -lpthread
EOF

%{__make} \
	OPTIMIZE="%{rpmcflags} -I/usr/include/mozldap"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}
cp -r examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Mozilla/LDAP/API/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog CREDITS MPL-1.1.txt README RELEASE
%{perl_vendorarch}/Mozilla
%dir %{perl_vendorarch}/auto/Mozilla
%dir %{perl_vendorarch}/auto/Mozilla/LDAP
%dir %{perl_vendorarch}/auto/Mozilla/LDAP/API
%{perl_vendorarch}/auto/Mozilla/LDAP/API/autosplit.ix
%{perl_vendorarch}/auto/Mozilla/LDAP/API/API.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Mozilla/LDAP/API/API.so
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Mozilla-LDAP.spec,v $
Revision 1.31  2006/09/06 21:07:58  glen
- rel 13

Revision 1.30  2006/09/06 20:59:40  glen
- use sed to edit files, and do that in prep
- check-files cleanup, adapter

Revision 1.29  2006/09/06 20:35:00  glen
- rel 12

Revision 1.28  2006/06/03 15:27:05  qboosh
- build with mozldap, release 11

Revision 1.27  2006/05/21 07:33:09  qboosh
- honour lib64

Revision 1.26  2006/05/21 06:52:05  hawk
- added more info to previous commit log

Revision 1.25  2006/05/21 06:49:36  hawk
- added lib paths (mozilla/seamonkey libs are no longer in /usr/lib)
- bumped {mozilla,seamonkey}-devel BR versions
- added R: {mozilla,seamonkey}-libs (depends on bcond)
- build with seamonkey-devel by default
- release 10

Revision 1.24  2006/05/20 14:00:03  hawk
- oops!

Revision 1.23  2006/05/20 13:45:19  hawk
- added bcond to build against seamonkey

Revision 1.22  2004/05/09 20:00:18  qboosh
- fixed build on amd64, removed obsolete -L, release 9

Revision 1.21  2004/05/07 01:24:55  ankry
- rel. 8

Revision 1.20  2004/05/06 18:01:30  ankry
- fixed perl-devel BR

Revision 1.19  2004/04/24 13:20:47  ankry
- tests added

Revision 1.18  2003/10/15 08:14:10  qboosh
- updated Source0 URL to one that gives reliable results (ftp does not)

Revision 1.17  2003/09/09 10:24:42  ankry
- spaces -> tab

Revision 1.16  2003/05/28 13:00:53  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:24:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/03/03 04:56:02  radek
- fixed

Revision 1.13  2003/03/01 20:21:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.12  2003/02/27 20:45:35  ankry
- fixed BR

Revision 1.11  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.10  2002/08/29 19:11:24  qboosh
- enabled SSL, release 6

Revision 1.9  2002/08/25 00:26:42  qboosh
- fixed linking, release 5

Revision 1.8  2002/08/19 15:21:29  qboosh
- BR: fixed mozilla-devel, new %doc

Revision 1.7  2002/05/09 10:50:41  kloczek
- relase 4: rebuild aginst mozilla >= 0.9.9.

Revision 1.6  2002/03/03 22:15:36  marcus
- rel.3.

Revision 1.5  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/12 10:19:44  kloczek
- release 2.

Revision 1.3  2002/02/10 15:40:16  depesz
- adapterized

Revision 1.2  2002/01/22 02:33:06  kloczek
- added perl-devel to BuildRequires.

Revision 1.1  2002/01/21 21:10:43  qboosh
- new spec - perl module for Mozilla LDAP
